Permalink
Browse files

Update composer.json, use require-dev

  • Loading branch information...
igorw committed Jan 6, 2013
1 parent 5cbd92b commit 8943f81b8d1dbcad66a2fd9aacbe9a299044da86
Showing with 146 additions and 141 deletions.
  1. +2 −1 README.md
  2. +7 −5 composer.json
  3. +137 −135 composer.lock
View
@@ -6,7 +6,7 @@ simple pastebin written in PHP
set up dependencies:
- curl -s http://getcomposer.org/installer | php
+ curl -s https://getcomposer.org/installer | php
php composer.phar install
install and start [redis](http://redis.io):
@@ -22,6 +22,7 @@ fork, branch, hack, pull request. thanks!
phpunit is required for the tests.
+ composer install --dev
phpunit
## using
View
@@ -1,11 +1,13 @@
{
"require": {
"silex/silex": "1.0.*@dev",
- "symfony/browser-kit": "2.1.*",
- "symfony/css-selector": "2.1.*",
- "symfony/finder": "2.1.*",
- "twig/twig": "1.8.*",
- "predis/service-provider": ">=0.2.0"
+ "symfony/finder": "~2.1",
+ "twig/twig": "~1.8",
+ "predis/service-provider": "0.3.*"
+ },
+ "require-dev": {
+ "symfony/browser-kit": "~2.1",
+ "symfony/css-selector": "~2.1"
},
"autoload": {
"psr-0": { "Igorw\\Trashbin": "src" }
Oops, something went wrong.

0 comments on commit 8943f81

Please sign in to comment.